## net.sf.saxon.regex
Class RegexData

    java.lang.Object
      net.sf.saxon.regex.RegexData

    public class RegexData

extends java.lang.Object

Non-instantiable class containing constant data definitions used by the various Regular Expression translators

Field Summary
`static java.lang.String[]` `blockNames`
`static java.lang.String` `categories`
`static java.lang.String` `CATEGORY_NAMES`
`static java.lang.String` `CATEGORY_Pf`
`static java.lang.String` `CATEGORY_Pi`
`static int[][]` `CATEGORY_RANGES`
`static char` `EOS`
`static java.lang.String[]` `specialBlockNames` Names of blocks including ranges outside the BMP.
`static java.lang.String` `subCategories`
`static char` `UNICODE_3_1_ADD_Ll`
`static char` `UNICODE_3_1_ADD_Lu`
`static char` `UNICODE_3_1_CHANGE_No_to_Nl_MAX`
`static char` `UNICODE_3_1_CHANGE_No_to_Nl_MIN`

Constructor Summary
`RegexData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categories

    public static final java.lang.String categories

See Also:
  Constant Field Values

### subCategories

    public static final java.lang.String subCategories

See Also:
  Constant Field Values

### EOS

    public static final char EOS

See Also:
  Constant Field Values

### blockNames

    public static final java.lang.String[] blockNames

### specialBlockNames

    public static final java.lang.String[] specialBlockNames

  Names of blocks including ranges outside the BMP.

### CATEGORY_NAMES

    public static final java.lang.String CATEGORY_NAMES

See Also:
  Constant Field Values

### CATEGORY_RANGES

    public static final int[][] CATEGORY_RANGES

### UNICODE_3_1_ADD_Lu

    public static final char UNICODE_3_1_ADD_Lu

See Also:
  Constant Field Values

### UNICODE_3_1_ADD_Ll

    public static final char UNICODE_3_1_ADD_Ll

See Also:
  Constant Field Values

### UNICODE_3_1_CHANGE_No_to_Nl_MIN

    public static final char UNICODE_3_1_CHANGE_No_to_Nl_MIN

See Also:
  Constant Field Values

### UNICODE_3_1_CHANGE_No_to_Nl_MAX

    public static final char UNICODE_3_1_CHANGE_No_to_Nl_MAX

See Also:
  Constant Field Values

### CATEGORY_Pi

    public static final java.lang.String CATEGORY_Pi

See Also:
  Constant Field Values

### CATEGORY_Pf

    public static final java.lang.String CATEGORY_Pf

See Also:
  Constant Field Values

Constructor Detail

### RegexData

    public RegexData()

Copyright (c) Saxonica Limited. All rights reserved.